SUBROUTINE laplacien_rot_loc ( klevel, rotin, rotout,ghx,ghy )
  !
  !    P. Le Van
  !
  !   ************************************************************
  !    ...  calcul de  ( rotat x nxgrad )  du rotationnel rotin  .
  !   ************************************************************
  !
  ! klevel et rotin  sont des arguments  d'entree pour le s-prog
  !  rotout           est  un argument  de sortie pour le s-prog
  !
  USE comgeom_mod_h
  USE parallel_lmdz
  USE mod_filtreg_p
  USE dimensions_mod, ONLY: iim, jjm, llm, ndm
USE paramet_mod_h
IMPLICIT NONE
  !



  !
  !   ..........    variables  en  arguments     .............
  !
  INTEGER :: klevel
  REAL :: rotin(ijb_v:ije_v,klevel ), rotout( ijb_v:ije_v,klevel )
  !
  !   ..........    variables   locales       ................
  !
  REAL :: ghy(ijb_v:ije_v,klevel), ghx(ijb_u:ije_u,klevel)
  !   ........................................................
  !
  !
  INTEGER :: ijb,ije,jjb,jje

  jjb=jj_begin-1
  jje=jj_end+1

  if (pole_nord) jjb=jj_begin
  if (pole_sud) jje=jj_end-1

  CALL  filtreg_p ( rotin ,jjb_v,jje_v,jjb,jje,jjm, &
        klevel,2, 1, .FALSE., 1)

  CALL   nxgrad_loc ( klevel, rotin,   ghx ,  ghy            )
  CALL   rotatf_loc  ( klevel, ghx  ,   ghy , rotout         )
  !
  RETURN
END SUBROUTINE laplacien_rot_loc
